--[[ **********************************************
Determine the operating system information

Variales returned to the calling application:
Number: MajorVersionNumber
Number: MinorVersionNumber
String: ServicePackLevel
Boolean: Is64bit
Boolean: IsServer

***************************************************]]--

local OSVersionInfoTable = System.GetOSVersionInfo();

OSName = System.GetOSName();
MajorVersionNumber = String.ToNumber(OSVersionInfoTable.MajorVersion);
MinorVersionNumber = String.ToNumber(OSVersionInfoTable.MinorVersion);
ServicePackLevel = OSVersionInfoTable.CSDVersion;

-- Determine if the operating system is 32 or 64 bits.
Is64bit = System.Is64BitOS();


if ((OSVersionInfoTable.ProductType) == 1) then
	IsServer = false;
else
	IsServer = true;
end

